<%@ Control Language="c#" AutoEventWireup="false" Codebehind="tree.ascx.cs" Inherits="NewCheckBoxState.tree" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="radt" Namespace="Telerik.WebControls" Assembly="RadTreeview" %>

	<style type="text/css">
	
	.RedCheckBox
	{
		background-color: red;
	}
	
	.WhiteCheckBox
	{
		background-color: white;
	}
	
	</style>
	
	<script language=javascript>
		function ChangeCheckBoxState()
		{
			var treeviewInstance = <%=RadTree1.ClientID%>;
			var i;
			for (i=0; i<treeviewInstance.AllNodes.length; i++)
			{
				var currentNode = treeviewInstance.AllNodes[i];
				if (HasCheckedNodes(currentNode))
				{
					var checkBoxElement = currentNode.CheckElement();						
					checkBoxElement.className = "RedCheckBox";
				}
			}				
		}
		
		function HasCheckedNodes(node)
		{
			var atLeastOneChecked = false;
			var atLeastOneUnChecked = false;
			
			for (var i=0; i<node.Nodes.length; i++)
			{
				if (node.Nodes[i].Checked)
				{
					atLeastOneChecked = true;
				}
				else
				{
					atLeastOneUnChecked = true;
				}
			}
			
			if (atLeastOneChecked && atLeastOneUnChecked)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		
		function AfterCheck(node)
		{
			if (node.Parent != null)
			{
				var checkBoxElement = node.Parent.CheckElement();
				if (HasCheckedNodes(node.Parent))
				{					
					checkBoxElement.className = "RedCheckBox";
				}
				else
				{
					checkBoxElement.className = "WhiteCheckBox";
				}
			}
		}
		
		document.body.onload = function() { ChangeCheckBoxState() };
		
	</script>


	<radT:RadTreeview ID="RadTree1" runat="server" CheckBoxes="True" Height="300px" AutoPostBackOnCheck="False"
		AfterClientCheck="AfterCheck" ImagesBaseDir="~/Outlook" ContentFile="~/tree.xml" />


